import React , {useState} from "react";
import Component from "./Comment/Comment";
import star from "../../assets/star.svg";
import avatar1 from "../../assets/man1.svg";
import avatar2 from "../../assets/man2.svg";
import plus from "../../assets/plus.svg";
import CommentModal from "../modal/Modal";

import "./comments.scss";

const Comments = () => {
  const comments = [
    {
      name: "محسن محمدی",
      time: "4 ساعت پیش",
      comment:
        "لورم ایپسوم متن ساختگی با  گی با  تول تول ی با  گی با  تول تولید سا ت ید سا تولید سادگی ",
      icon: star,
      avatar: avatar2,
      rate: 5,
    },
    {
      name: "محمد اسلامی",
      time: "1 ساعت پیش",
      comment: "لورم ایپسوم متن ساختگی با تولید سادگی ",
      icon: star,
      avatar: avatar1,
      rate: 1,
    },
    {
      name: "رضا اسدی",
      time: "7 ساعت پیش",
      comment: "لورم ایپسوم متن ساختگی با تولید سادگی ",
      icon: star,
      avatar: avatar1,
      rate: 3,
    },
  ];

  //modal comment
  const [modal, setModal] = useState(false);
  const toggle = () => setModal(!modal);

  return (
    <>
      <header>
        <nav className="headerNavComment">
          <nav className="navComment">
            <h6 className="m-0">نظرات</h6>
            <img className="me-1 ms-1" alt="star" src={star} />
            <p className="m-0">4.9</p>
            <small className="text-muted me-1">
              <sub> (150) </sub>
            </small>
          </nav>
          <nav>
            <a className="moreLink" href="http://localhost:3000">
              مشاهده همه
            </a>
          </nav>
        </nav>
      </header>
      <div className="navListComments">
        {comments.map((item) => (
          <>
            <Component item={item} />
          </>
        ))}
      </div>
      <button className='insertCommentBtn' onClick={toggle}>
        <nav className="circleNav">
          <img alt="مثبت" src={plus} />
        </nav>
        افزودن نظر
      </button>
      <CommentModal modal={modal} toggle={toggle} />
    </>
  );
};

export default Comments;
